summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorRafael Fontenelle2016-07-19 23:34:09 -0300
committerRafael Fontenelle2016-07-19 23:34:09 -0300
commit8f93833954278bf7353fae9eb2a012753ed85ed2 (patch)
tree2efea87f9cba5169519ffe08bf231197483818c8
downloadaur-8f93833954278bf7353fae9eb2a012753ed85ed2.tar.gz
Initial commit
Upstream migrated from launchpad (bzr) to Github (git)
-rw-r--r--.SRCINFO18
-rw-r--r--PKGBUILD33
2 files changed, 51 insertions, 0 deletions
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..ff1b3515587
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,18 @@
+# Generated by mksrcinfo v8
+# Wed Jul 20 02:33:26 UTC 2016
+pkgbase = pyg3t-git
+ pkgdesc = Python GetText Translation Toolkit (git)
+ pkgver = 0.4.0.r205.196b47d
+ pkgrel = 1
+ url = https://github.com/pyg3t/pyg3t
+ arch = any
+ license = GPL3
+ makedepends = git
+ depends = python2-dateutil
+ provides = pyg3t
+ conflicts = pyg3t
+ source = git+https://github.com/pyg3t/pyg3t.git
+ md5sums = SKIP
+
+pkgname = pyg3t-git
+
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..3d5aea0bdde
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,33 @@
+# Maintainer: rafaelff <rafaelff@gnome.org>
+
+_name=pyg3t
+pkgname=$_name-git
+pkgver=0.4.0.r205.196b47d
+pkgrel=1
+pkgdesc="Python GetText Translation Toolkit (git)"
+arch=(any)
+url="https://github.com/pyg3t/pyg3t"
+license=('GPL3')
+depends=('python2-dateutil')
+makedepends=('git')
+provides=($_name)
+conflicts=($_name)
+source=(git+${url}.git)
+md5sums=('SKIP')
+
+pkgver() {
+ cd pyg3t
+ v=`grep version pyg3t/__init__.py | cut -d\' -f2`
+ printf "%s.r%s.%s" "$v" "$(git rev-list --count HEAD)" "$(git rev-parse --short HEAD)"
+}
+
+package() {
+ cd pyg3t
+ #exit 1
+ sed -i "s#!/usr/bin/env python#&2#" \
+ pyg3t/gtgrep.py pyg3t/gtparse.py pyg3t/gtxml.py \
+ pyg3t/poabc.py pyg3t/podiff.py pyg3t/popatch.py
+
+ python2 setup.py install --root="$pkgdir/" --optimize=1
+}
+